Bug 500995

Summary: TypeError: float() argument must be a string or a number
Product: [Fedora] Fedora Reporter: James Laska <jlaska>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 11CC: anaconda-maint-list, jturner, rmaximo, vanmeeuwen+fedora
Target Milestone: ---Flags: clumens: needinfo? (jlaska)
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: anaconda_trace_hash:b65f32df305452d2acc7a4942a01aa2d7415dac25bf82d1323434f2c9ca040d0
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:33:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Attached traceback automatically from anaconda. none

Description James Laska 2009-05-15 08:22:58 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.52 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/formats/fs.py", line 232, in currentSize
    return float(size)
  File "/usr/lib/anaconda/iw/partition_ui_helpers_gui.py", line 373, in createPreExistFSOptionSection
    (origfs.currentSize != origfs.targetSize) and \
  File "/usr/lib/anaconda/iw/lvm_dialog_gui.py", line 499, in <lambda>
    luksdev=templuks)
  File "/usr/lib/anaconda/iw/lvm_dialog_gui.py", line 551, in editLogicalVolume
    (row, self.fsoptionsDict) = cpefsos(maintable, row)
  File "/usr/lib/anaconda/iw/lvm_dialog_gui.py", line 775, in editCurrentLogicalVolume
    self.editLogicalVolume(lv)
  File "/usr/lib/anaconda/iw/lvm_dialog_gui.py", line 831, in logvolActivateCb
    self.editCurrentLogicalVolume()
TypeError: float() argument must be a string or a number
Comment 1 James Laska 2009-05-15 08:23:02 EDT
Created attachment 344132 [details]
Attached traceback automatically from anaconda.
Comment 2 James Laska 2009-05-15 08:24:18 EDT
= Steps to reproduce =

* Install autopart
* Initiate a new install, and select 'Custom partition'
* resize previous '/' logical volume to 5000 and select 'format'
* re-edit previous '/' logical volume and de-select 'format'
Comment 3 Bug Zapper 2009-06-09 11:52:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Lumens 2010-01-05 15:58:01 EST
Is this still reproducable in F12?  I know David made a fair number of resize-related commits for that release.
Comment 5 Bug Zapper 2010-04-27 10:20:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:33:28 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.